using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Numerics;

namespace ConsoleApplication33
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            string[] res = new string[] {
                s[0] + s[1] + s[2],
                s[0] + s[2] + s[1],
                s[1] + s[0] + s[2],
                s[1] + s[2] + s[0],
                s[2] + s[0] + s[1],
                s[2] + s[1] + s[0]
            };

            BigInteger[] b = res.Select(x => BigInteger.Parse(x)).ToArray();

            Console.WriteLine(b.Max());
        }
    }
}